## LassoIdWsf2DiscoProviderID LassoIdWsf2DiscoProviderID — <disco:ProviderID> |

## Functions

LassoIdWsf2DiscoProviderID * | lasso_idwsf2_disco_provider_id_new ()
LassoIdWsf2DiscoProviderID * | lasso_idwsf2_disco_provider_id_new_with_string ()

## Types and Values

struct | LassoIdWsf2DiscoProviderID

## Description

Figure 147. Schema fragment for disco:ProviderID

    <xs:element name="ProviderID" type="xs:anyURI"/>

## Functions

### lasso_idwsf2_disco_provider_id_new ()

    LassoIdWsf2DiscoProviderID *
    lasso_idwsf2_disco_provider_id_new (void);

Creates a new LassoIdWsf2DiscoProviderID object.

#### Returns

a newly created LassoIdWsf2DiscoProviderID object

### lasso_idwsf2_disco_provider_id_new_with_string ()

    LassoIdWsf2DiscoProviderID *
    lasso_idwsf2_disco_provider_id_new_with_string
                                   (const char *content);

Creates a new LassoIdWsf2DiscoProviderID object and initializes it with `content` as content.

#### Parameters

content | the content string |

#### Returns

a newly created LassoIdWsf2DiscoProviderID object

## Types and Values

### struct LassoIdWsf2DiscoProviderID

    struct LassoIdWsf2DiscoProviderID {
    	LassoNode parent;

    	/* elements */
    	char *content;
    };